<?php
if(!defined('CRON')) { header('Location: ../'); exit; }
print '<br /><br />Début de la gestion des joueurs inactifs ; il est : '.date('d/m/Y H:i:s');

$limite1 = time() - 7 * 86400;
$limite2 = time() - 8 * 86400;
$limiteS = time() - 14 * 86400;
$bdd->connexion();
$utils = $bdd->query("SELECT id, pseudo, mail FROM $table_user WHERE last_visite < $limite1 AND last_visite > $limite2 AND mv = 0;");
$utils['nombre'] = $bdd->num_rows;
for($i = 0; $i < $utils['nombre']; $i++){
	send_mail($utils[$i]['mail'], "Compte de jeu inactif", '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"><html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Halo-Battle :: Compte de jeu inactif</title></head><body><p>Bonjour '.$utils[$i]['pseudo'].',<br />Cela fait plus d\'une semaine que vous ne vous &ecirc;tes pas connect&eacute; au jeu <a href="http://www.halo-battle.s-fr.com/">Halo-Battle</a>.<br />Pour que vos planètes et vos vaisseaux soient concerv&eacute;s, pensez &agrave; mettre votre compte en mode vacances avant qu\'il ne soit d&eacute;finitivement supprim&eacute; de nos serveurs.<br /><br />A bient&ocirc;t dans Halo-Battle,<br />Le staff</p></body></html>');
	print '<br />Envoie d\'un mail au joueur inactif '.$utils[$i]['pseudo'];
}

$utils = $bdd->query("SELECT id, pseudo, mail FROM $table_user WHERE last_visite < $limiteS AND mv = 0;");
$utils['nombre'] = $bdd->num_rows;
for($i = 0; $i < $utils['nombre']; $i++){
	send_mail($utils[$i]['mail'], "Compte de jeu supprimé", '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd"><html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Halo-Battle :: Suppression de votre compte</title></head><body><p>Bonjour '.$utils[$i]['pseudo'].',<br />Cela fait plus de deux semaines que vous ne vous &ecirc;tes pas connect&eacute; au jeu <a href="http://www.halo-battle.s-fr.com/">Halo-Battle</a>.<br />Votre compte ainsi que toutes les donn&eacute;es personnelles vous concernant viennent d\'&ecirc;tre supprim&eacute;es de notre serveur de jeu, ainsi, vous ne recevrez plus de courriels de notre part.<br /><br />A bient&ocirc;t dans Halo-Battle,<br />Le staff</p></body></html>');
/*	$bdd->query("DELETE FROM $table_flottes WHERE id_user = ".$utils[$i]['id']);
//TODO vérifier la suppression desactions du joueur
	$action = new Bourse();
	$action->delUser($utils[$i]['id']);
//TODO Ajouter CASCADE !! pour supprimer les combats avec les flottes
	$bdd->query("DELETE FROM $table_planete WHERE id_user = ".$utils[$i]['id']);
	$bdd->query("DELETE FROM $table_user WHERE id = ".$utils[$i]['id']);
	$bdd->query("DELETE FROM $table_mail WHERE destinataire = ".$utils[$i]['pseudo']);
	$bdd->query("DELETE FROM $table_mail WHERE expediteur = ".$utils[$i]['pseudo']);
*/	print '<br />Envoie d\'un mail et suppression du joueur inactif '.$utils[$i]['pseudo'];
}
$bdd->deconnexion();

print '<br />Fin de la gestion des joueurs inactifs ; il est : '.date('d/m/Y H:i:s').'<br />';
?>